Bug 192816 - static inline function wrongly left out of generated assembly
Summary: static inline function wrongly left out of generated assembly
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-23 12:19 UTC by Tom Hughes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 15:51:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (222 bytes, text/plain)
2006-05-23 12:19 UTC, Tom Hughes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27758 None None None Never

Description Tom Hughes 2006-05-23 12:19:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Reproduced in both gcc-4.1.0-3 (released) and gcc-4.1.0-19.fc5 (testing).

How reproducible:

Compile the attached code to assembly in PIC mode:

  cc -fPIC -Wall -S static.c

The function "callback" is a static inline whose address is used, so it should
be included in the assembly but it is not. Removing -fPIC causes it to appear as
does turning on the optimiser with -O.
  
Actual results:

Function "callback" not in assembly output.

Expected results:

Function "callback" in assembly output.

Additional info:

This works in the FC4 gcc 4.0.2 compiler.

Comment 1 Tom Hughes 2006-05-23 12:19:39 UTC
Created attachment 129855 [details]
Test case

Comment 2 Jakub Jelinek 2006-05-24 15:51:01 UTC
Tracking upstream.


Note You need to log in before you can comment on or make changes to this bug.